Summary: 	Postfix Greylisting Policy Server
Name:		postgrey
Version: 	1.37
Release:	%mkrel 7
License: 	GPLv2+
Group: 		System/Servers
URL:		https://postgrey.schweikert.ch/
Source: 	https://postgrey.schweikert.ch/pub/%{name}-%{version}.tar.gz
Source1:	%{name}.service
Source2:	%{name}.sysconfig
# use postgrey group by default
# use /var/lib/postgrey instead of /var/spool/postfix/postgrey
Patch0:		postgrey-1.37-defaults.patch
BuildArch:	noarch
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	postfix
Requires:	perl(BerkeleyDB)
Requires:	perl(Net::Server)
Requires:	perl(Net::DNS)
Requires:	perl(NetAddr::IP)
Requires:	perl(IO::Multiplex)

%define confdir 	/etc/postfix
%define queue_directory %{_var}/spool/postfix

%description
Postgrey is a Postfix policy server implementing greylisting.
When a request for delivery of a mail is received by Postfix 
via SMTP, the triplet CLIENT_IP / SENDER / RECIPIENT is built. 
If it is the first time that this triplet is seen, or if the 
triplet was first seen less than 5 minutes, then the mail gets 
rejected with a temporary error. Hopefully spammers or viruses 
will not try again later, as it is however required per RFC.

%prep
%setup -q
%autopatch -p1

%build
pod2man -s 8 -c "" postgrey > postgrey.8
pod2man -s 8 -c "" contrib/postgreyreport > contrib/postgreyreport.8

%install
install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

mkdir -p %{buildroot}%{_sysconfdir}/postfix
cp postgrey_whitelist_clients %{buildroot}%{_sysconfdir}/postfix
cp postgrey_whitelist_recipients %{buildroot}%{_sysconfdir}/postfix
touch %{buildroot}%{_sysconfdir}/postfix/postgrey_whitelist_clients.local

mkdir -p %{buildroot}%{_sbindir}
install postgrey %{buildroot}%{_sbindir}/postgrey
install contrib/postgreyreport %{buildroot}%{_sbindir}/postgreyreport

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
cp -p %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

mkdir -p %{buildroot}%{queue_directory}/extern/%{name}
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}

mkdir -p %{buildroot}%{_mandir}/man8
cp postgrey.8 contrib/postgreyreport.8 %{buildroot}%{_mandir}/man8

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc README Changes
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{confdir}/postgrey_whitelist_clients
%config(noreplace) %{confdir}/postgrey_whitelist_recipients
%config(noreplace) %{confdir}/postgrey_whitelist_clients.local
%{_sbindir}/postgrey
%{_sbindir}/postgreyreport
%{_mandir}/man8/postgrey.8*
%{_mandir}/man8/postgreyreport.8*
%dir %attr(0750, postgrey, postfix) %{queue_directory}/extern/%{name}
%dir %attr(0750, postgrey, postgrey) %{_localstatedir}/lib/%{name}





%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.37-7.mga10
+ Revision: 2204845
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.37-6.mga9
+ Revision: 1810773
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.37-5.mga8
+ Revision: 1507440
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.37-4.mga7
+ Revision: 1288052
- Mageia 7 Mass Rebuild

* Sun Nov 12 2017 zezinho <zezinho> 1.37-3.mga7
+ Revision: 1177050
- add requires to fix MGA#21382

* Sat Jul 22 2017 guillomovitch <guillomovitch> 1.37-2.mga7
+ Revision: 1128368
- add missing perl dependencies

* Sat Jan 21 2017 guillomovitch <guillomovitch> 1.37-1.mga6
+ Revision: 1082690
- new version 1.37

* Wed Jan 27 2016 dlucio <dlucio> 1.36-1.mga6
+ Revision: 928029
- 1.36
- P0 rediffed

* Wed Oct 15 2014 umeabot <umeabot> 1.35-3.mga5
+ Revision: 746634
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.35-2.mga5
+ Revision: 687740
- Mageia 5 Mass Rebuild

* Fri Jun 13 2014 guillomovitch <guillomovitch> 1.35-1.mga5
+ Revision: 636019
- new version 1.35

* Sat Feb 08 2014 guillomovitch <guillomovitch> 1.34-10.mga5
+ Revision: 585926
- no need for a /run subdirectory, actually

* Sat Feb 08 2014 guillomovitch <guillomovitch> 1.34-9.mga5
+ Revision: 585871
- make postgrey works with perl 5.18
- fix PID file path in systemd service

* Sat Oct 19 2013 umeabot <umeabot> 1.34-8.mga4
+ Revision: 522659
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 1.34-7.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Thu Mar 21 2013 guillomovitch <guillomovitch> 1.34-6.mga3
+ Revision: 404400
- switch from sysinit to systemd

* Mon Jan 21 2013 colin <colin> 1.34-5.mga3
+ Revision: 390448
- Fix tmpfiles scripts (to prevent touching /run/nologin)

* Sun Jan 13 2013 umeabot <umeabot> 1.34-4.mga3
+ Revision: 378125
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 06 2012 colin <colin> 1.34-3.mga3
+ Revision: 256281
- Fix pidfile syntax

* Wed Jun 06 2012 colin <colin> 1.34-2.mga3
+ Revision: 256222
- Fix postgrey initialisation under systemd (pidfile problems)

* Mon Mar 05 2012 misc <misc> 1.34-1.mga2
+ Revision: 219355
- rediff patch 1
- new version of postgrey

* Tue Apr 05 2011 misc <misc> 1.32-6.mga1
+ Revision: 80666
- increase Release to ensure upgrade
- fix License
- add comment on the only patch
- remove old workaround for a problem that was fixed long time ago
- imported package postgrey


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.32-5mdv2010.0
+ Revision: 430768
- rebuild

* Mon Aug 18 2008 Luca Berra <bluca@mandriva.org> 1.32-4mdv2009.0
+ Revision: 273256
- updated to 1.32
- make postgrey.init prcsys conform (#39833)

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.31-4mdv2009.0
+ Revision: 259241
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.31-3mdv2009.0
+ Revision: 247150
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 1.31-1mdv2008.1
+ Revision: 177191
- update to 1.31
- rediff patch
- update url

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.27-2mdv2008.1
+ Revision: 140735
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Sep 03 2006 Luca Berra <bluca@comedia.it>
+ 2006-09-03 08:34:42 (59660)
Added some requires to fix/workaround #25086

* Sun Jul 30 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-30 13:06:59 (42810)
New release 1.27
Remove redefinition of mkrel macro

* Sun Jul 30 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-30 11:53:34 (42808)
import postgrey-1.26-1mdv2007.0

* Fri Jul 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1.26-1mdv2007.0
- 1.26 (Minor feature enhancements)

* Mon May 29 2006 Emmanuel Andry <eandry@mandriva.org> 1.24-1mdk
- New release 1.24

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 1.23-1mdk
- New release 1.23

* Mon Oct 17 2005 Oden Eriksson <oeriksson@mandriva.com> 1.21-1mdk
- fix #19292
- rpmlint fixes

* Tue Mar 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.18-2mdk
- revert to the package by Luca Berra (sorry)

* Tue Mar 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.18-1mdk
- mistake

* Mon Jan 03 2005 Luca Berra <bluca@vodka.it> 1.17-1mdk
- Initial release based on redhat package from Levente Farkas

